Subject: bug#45041: 27.1; Emacs hangs if the cited message contains some specific text

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 19 Jan 2021 04:14:38 +0100

Pratyush Yadav <[email-masked]> writes:

> FWIW, I am using Doom Emacs [0]. Could it have anything to do with this? 
> I don't think they touch Gnus all that much but maybe some other plugin 
> or setting is causing a side effect.

I don't think Doom should be influencing this, because the test case
seems straight-forward -- you said that just that looking-at, in itself,
was hanging?  That is, does eval-in the following hang for you?

(with-temp-buffer
  (insert "> ___________________________________________________________________________\n")
  (goto-char (point-min))
  (looking-at "^\\(\\([ 	]*\\(\\w\\|[_.]\\)+>+\\|[ 	]*[>|]\\)+\\)? *>>>>> +\"\\([^\" ]+\\)\" +=="))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no